Ticket #42989

Default range for "Good" req should be a possible one

Open Date: 2021-10-07 04:43 Last Update: 2021-10-30 21:18

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Brief code analysis of common/requirements.c shows a problem in req_from_str() function. We usually don't actually use default ranges, but if we have them, let them be possible. VUT_GOOD can not have local range, default one should be RANGE_CITY.

Ticket History (3/7 Histories)

2021-10-07 04:43 Updated by: ihnatus
  • New Ticket "Default range for "Good" req should be a possible one" created
2021-10-08 02:20 Updated by: cazfi
Comment

Less than 36h to beta3 release, it's not even theoretically possible that a fix would get submitted and pass review period before it (in practice we've not pushed anything in since Monday)

2021-10-13 21:27 Updated by: cazfi
Comment

We define default ranges there, but apparently it's not possible for a ruleset author to rely on it. When one leaves range out from a requirement list:

1: In secfile_lookup_str() [../../../src/utility/registry_ini.c:2177]: secfile '../../src/data/civ2civ3/effects.ruleset' in section 'NULL': "effect_tile_bonus_good.reqs0.range" entry doesn't exist.

2021-10-14 07:27 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-10-30 21:18 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login